KemOtherInfo (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmp

## Class KemOtherInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.KemOtherInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class KemOtherInfo
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KemOtherInfo(ASN1OctetString transactionID, ASN1OctetString senderNonce, ASN1OctetString recipNonce, ASN1Integer len, AlgorithmIdentifier mac, ASN1OctetString ct)`
    `KemOtherInfo(ASN1OctetString transactionID, ASN1OctetString senderNonce, ASN1OctetString recipNonce, long len, AlgorithmIdentifier mac, ASN1OctetString ct)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1OctetString` | `getCt()`
    `static KemOtherInfo` | `getInstance(java.lang.Object o)`
    `ASN1Integer` | `getLen()`
    `AlgorithmIdentifier` | `getMac()`
    `ASN1OctetString` | `getRecipNonce()`
    `ASN1OctetString` | `getSenderNonce()`
    `ASN1OctetString` | `getTransactionID()`
    `ASN1Primitive` | `toASN1Primitive()` KemOtherInfo ::= SEQUENCE { staticString PKIFreeText, -- MUST be "CMP-KEM" transactionID [0] OCTET STRING OPTIONAL, senderNonce [1] OCTET STRING OPTIONAL, recipNonce [2] OCTET STRING OPTIONAL, len INTEGER (1..MAX), mac AlgorithmIdentifier{MAC-ALGORITHM, {...}}

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KemOtherInfo

          public KemOtherInfo(ASN1OctetString transactionID,
                              ASN1OctetString senderNonce,
                              ASN1OctetString recipNonce,
                              ASN1Integer len,
                              AlgorithmIdentifier mac,
                              ASN1OctetString ct)

    - #### KemOtherInfo

          public KemOtherInfo(ASN1OctetString transactionID,
                              ASN1OctetString senderNonce,
                              ASN1OctetString recipNonce,
                              long len,
                              AlgorithmIdentifier mac,
                              ASN1OctetString ct)

  - ### Method Detail

    - #### getInstance

          public static KemOtherInfo getInstance(java.lang.Object o)

    - #### getTransactionID

          public ASN1OctetString getTransactionID()

    - #### getSenderNonce

          public ASN1OctetString getSenderNonce()

    - #### getRecipNonce

          public ASN1OctetString getRecipNonce()

    - #### getLen

          public ASN1Integer getLen()

    - #### getMac

          public AlgorithmIdentifier getMac()

    - #### getCt

          public ASN1OctetString getCt()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           KemOtherInfo ::= SEQUENCE {
             staticString      PKIFreeText,   -- MUST be "CMP-KEM"
             transactionID [0] OCTET STRING     OPTIONAL,
             senderNonce   [1] OCTET STRING     OPTIONAL,
             recipNonce    [2] OCTET STRING     OPTIONAL,
             len               INTEGER (1..MAX),
             mac               AlgorithmIdentifier{MAC-ALGORITHM, {...}}
             ct                OCTET STRING
           }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.